
// ScrollDialogMFCView.cpp : implementation of the CScrollDialogMFCView class
//

#include "stdafx.h"
// SHARED_HANDLERS can be defined in an ATL project implementing preview, thumbnail
// and search filter handlers and allows sharing of document code with that project.
#ifndef SHARED_HANDLERS
#include "ScrollDialogMFC.h"
#endif

#include "ScrollDialogMFCDoc.h"
#include "ScrollDialogMFCView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CScrollDialogMFCView

IMPLEMENT_DYNCREATE(CScrollDialogMFCView, CFormView)

BEGIN_MESSAGE_MAP(CScrollDialogMFCView, CFormView)
	ON_COMMAND(ID_SCROLL_TOP, &CScrollDialogMFCView::OnScrollTop)
	ON_COMMAND(ID_SCROLL_BOTTOM, &CScrollDialogMFCView::OnScrollBottom)
#ifdef FIX_CSCROLLVIEW_PROBLEM
	ON_MESSAGE(WM_PRINTCLIENT,&CScrollDialogMFCView::OnPrintClient)
#endif
END_MESSAGE_MAP()

// CScrollDialogMFCView construction/destruction

CScrollDialogMFCView::CScrollDialogMFCView()
	: CFormView(CScrollDialogMFCView::IDD)
{
	// TODO: add construction code here

}

CScrollDialogMFCView::~CScrollDialogMFCView()
{
}

void CScrollDialogMFCView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CHECK1, m_cbTop);
	DDX_Control(pDX, IDC_CHECK2, m_cbBottom);
}

BOOL CScrollDialogMFCView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

void CScrollDialogMFCView::OnInitialUpdate()
{
	CFormView::OnInitialUpdate();
	GetParentFrame()->RecalcLayout();
	ResizeParentToFit();

}


// CScrollDialogMFCView diagnostics

#ifdef _DEBUG
void CScrollDialogMFCView::AssertValid() const
{
	CFormView::AssertValid();
}

void CScrollDialogMFCView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CScrollDialogMFCDoc* CScrollDialogMFCView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CScrollDialogMFCDoc)));
	return (CScrollDialogMFCDoc*)m_pDocument;
}
#endif //_DEBUG


// CScrollDialogMFCView message handlers

void CScrollDialogMFCView::ScrollToWindow(CWnd *pWnd)
{
	CRect rect;
	pWnd->GetWindowRect(rect);
	ScreenToClient(rect);
	ScrollToPosition(rect.TopLeft());
}

void CScrollDialogMFCView::OnScrollTop()
{
	ScrollToWindow(&m_cbTop);
}

void CScrollDialogMFCView::OnScrollBottom()
{
	ScrollToWindow(&m_cbBottom);
}

#ifdef FIX_CSCROLLVIEW_PROBLEM
LRESULT CScrollDialogMFCView::OnPrintClient( WPARAM wp, LPARAM lp )
{
	// Bypass the CScrollView::OnPrintClient implementation
	return CView::OnPrintClient(wp,lp);
}
#endif